import { IAfterActivation } from './interfaces/i.after.activation';
import { IBeforeActivation } from './interfaces/i.before.activation';
export declare enum InterceptorType {
    Before = 1,
    After = 2
}
export declare class InterceptorData {
    target: Function | IAfterActivation | IBeforeActivation;
    instance: Record<string, any>;
    type: number;
    createInstance(): void;
}
export declare const UseActivation: (activation: Function | IBeforeActivation | IAfterActivation, type?: InterceptorType) => any;
export declare const UseBefore: (activation: Function | IBeforeActivation) => any;
export declare const UseAfter: (activation: Function | IAfterActivation) => any;
